Package org.flowable.dmn.model

# Class AuthorityRequirement

java.lang.Object
org.flowable.dmn.model.DmnElement
org.flowable.dmn.model.NamedElement
org.flowable.dmn.model.AuthorityRequirement

public class AuthorityRequirement extends NamedElement

Author:
  Yvo Swillens

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected DmnElementReference`
  `requiredAuthority`
  `protected DmnElementReference`
  `requiredDecision`
  `protected DmnElementReference`
  `requiredInput`

  ### Fields inherited from class org.flowable.dmn.model.NamedElement

  `name`

  ### Fields inherited from class org.flowable.dmn.model.DmnElement

  `attributes, description, extensionElements, id, label`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AuthorityRequirement()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DmnElementReference`
  `getRequiredAuthority()`
  `DmnElementReference`
  `getRequiredDecision()`
  `DmnElementReference`
  `getRequiredInput()`
  `void`
  `setRequiredAuthority(DmnElementReference requiredAuthority)`
  `void`
  `setRequiredDecision(DmnElementReference requiredDecision)`
  `void`
  `setRequiredInput(DmnElementReference requiredInput)`

  ### Methods inherited from class org.flowable.dmn.model.NamedElement

  `getName, setName`

  ### Methods inherited from class org.flowable.dmn.model.DmnElement

  `addAttribute, addExtensionElement, getAttributes, getAttributeValue, getDescription, getExtensionElements, getId, getLabel, setAttributes, setDescription, setExtensionElements, setId, setLabel, setValues`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### requiredDecision

    protected DmnElementReference requiredDecision

  - ### requiredInput

    protected DmnElementReference requiredInput

  - ### requiredAuthority

    protected DmnElementReference requiredAuthority

- ## Constructor Details

  - ### AuthorityRequirement

    public AuthorityRequirement()

- ## Method Details

  - ### getRequiredDecision

    public DmnElementReference getRequiredDecision()

  - ### setRequiredDecision

    public void setRequiredDecision(DmnElementReference requiredDecision)

  - ### getRequiredInput

    public DmnElementReference getRequiredInput()

  - ### setRequiredInput

    public void setRequiredInput(DmnElementReference requiredInput)

  - ### getRequiredAuthority

    public DmnElementReference getRequiredAuthority()

  - ### setRequiredAuthority

    public void setRequiredAuthority(DmnElementReference requiredAuthority)